<div class="card">
  <div class="card-header py-0" id="headingTwo">
    <h5 class="mb-0">
      <button class="btn btn-link collapsed shadow-none" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo" type="button">
        <%= t 'procedures.index.box_title.procedure' %>
      </button>
    </h5>
  </div>
  <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#filters-accordion">
    <div class="card-body">
      <!-- Procedure ICD Category -->
      <%= form.label(:icd_category, t('procedures.index.procedure.icd_category')) %><br>
      <%= form.select(:icd_category_id_in,
            options_for_select(icd_category_options(), params.dig(:q, :icd_category_id_in)),
            {},
            {
              class: "selectpicker",
              onchange: 'procedureICDCategoryLegend.update(this)',
              multiple: true,
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'procedureICDCategory', t('.icd_category_legend') %>

      <hr>

      <!-- Procedure ICD Subcategory -->
      <%= form.label(:icd_subcategory, t('procedures.index.procedure.icd_subcategory')) %><br>
      <%= form.select(:icd_subcategory_id_in,
            options_for_select(icd_subcategory_options(), params.dig(:q, :icd_subcategory_id_in)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'procedureICDSubcategoryLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'procedureICDSubcategory', t('.icd_subcategory_legend') %>

      <hr>

      <!-- Procedure type -->
      <%= form.label(:hospitalization_type, t('procedures.index.procedure.hospitalization_type')) %><br>
      <%= form.select(:hospitalization_type_in,
            options_for_select(hospitalization_type_options(), params.dig(:q, :hospitalization_type_in)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'procedureHospitalizationTypeLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'procedureHospitalizationType', t('.hospitalization_type_legend') %>

      <hr>

      <!-- Procedure Complexity -->
      <%= form.label(:complexity, t('procedures.index.procedure.complexity')) %><br>
      <%= form.select(:complexity_in,
            options_for_select(complexity_options(), params.dig(:q, :complexity_in)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'procedureComplexityLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'procedureComplexity', t('.complexity_legend') %>

      <hr>

      <!-- Procedure Specialty -->
      <%= form.label(:specialty, t('procedures.index.procedure.specialty')) %><br>
      <%= form.select(:specialty_in,
            options_for_select(specialty_options(), params.dig(:q, :specialty_in)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'procedureSpecialtyLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'procedureSpecialty', t('.specialty_legend') %>

      <hr>

      <!-- Procedure Competence -->
      <%= form.label(:competence, t('procedures.index.procedure.competence')) %><br>
      <%= form.select(:competence_in,
            options_for_select(competence_options(), params.dig(:q, :competence_in)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'procedureCompetenceLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'procedureCompetence', t('.competence_legend') %>

      <hr>

      <!-- Procedure Group -->
      <%= form.label(:hospitalization_group, t('procedures.index.procedure.hospitalization_group')) %><br>
      <%= form.select(:hospitalization_group_in,
            options_for_select(hospitalization_group_options, params.dig(:q, :hospitalization_group_in)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'procedureHospitalizationGroupLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'procedureHospitalizationGroup', t('.hospitalization_group_legend') %>

      <hr>

      <!-- Procedure Days -->
      <%= form.label(:hospitalization_days, t('procedures.index.procedure.hospitalization_days')) %><br>
      <%= form.text_field(:hospitalization_days_between,
                          data: {
                            provide: 'slider',
                            slider_ticks: [0, max_hospitalization_days()],
                            slider_value: params[:q].nil? ? [0, max_hospitalization_days()] : params[:q][:hospitalization_days_between].split(',').map(&:to_i),
                            slider_tooltip: 'show',
                            slider_tooltip_split: true
                          }) %><hr>
      <!-- Procedure Rates -->
      <%= form.label(:hospitalization_rates, t('procedures.index.procedure.hospitalization_rates')) %><br>
      <%= form.text_field(:hospitalization_rates_between,
                          data: {
                            provide: 'slider',
                            slider_ticks: [0, max_hospitalization_rates()],
                            slider_value: params[:q].nil? ? [0, max_hospitalization_rates()] : params[:q][:hospitalization_rates_between].split(',').map(&:to_i),
                            slider_tooltip: 'show',
                            slider_tooltip_split: true
                          }) %><hr>
      <!-- Procedure UTI Rates -->
      <%= form.label(:uti_rates, t('procedures.index.procedure.uti_rates')) %><br>
      <%= form.text_field(:uti_rates_between,
                          data: {
                            provide: 'slider',
                            slider_ticks: [0, max_uti_rates()],
                            slider_value: params[:q].nil? ? [0, max_uti_rates()] : params[:q][:uti_rates_between].split(',').map(&:to_i),
                            slider_tooltip: 'show',
                            slider_tooltip_split: true
                          }) %><hr>
      <!-- Procedure UI Rates -->
      <%= form.label(:ui_rates, t('procedures.index.procedure.ui_rates')) %><br>
      <%= form.text_field(:ui_rates_between,
                          data: {
                            provide: 'slider',
                            slider_ticks: [0, max_ui_rates()],
                            slider_value: params[:q].nil? ? [0, max_ui_rates()] : params[:q][:ui_rates_between].split(',').map(&:to_i),
                            slider_tooltip: 'show',
                            slider_tooltip_split: true
                          }) %><hr>
      <!-- Procedure Service Value -->
      <%= form.label(:service_value, t('procedures.index.procedure.service_value')) %><br>
      <%= form.text_field(:service_value_between,
                          data: {
                            provide: 'slider',
                            slider_ticks: [0, max_service_value().ceil(1)],
                            slider_value: params[:q].nil? ? [0, max_service_value().ceil(1)] : params[:q][:service_value_between].split(',').map(&:to_f),
                            slider_step: 0.1,
                            slider_tooltip: 'show',
                            slider_tooltip_split: true
                          }) %><hr>
      <!-- Procedure Financing -->
      <%= form.label(:financing, t('procedures.index.procedure.financing')) %><br>
      <%= form.select(:financing_in,
            options_for_select(financing_options(), params.dig(:q, :financing_in)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'procedureFinancingLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
       ) %>

      <%= legend_div_with_title 'procedureFinancing', t('.financing_legend') %>

      <hr>

      <!-- Procedure Period -->
      <%= t 'procedures.index.procedure.period' %><br>
      <%= form.text_field(:admission_date_gteq,
                          class: 'datepicker',
                          value: params[:q].nil? ? '2019-01-01' : params[:q][:admission_date_gteq],
                          data: {
                            provide: 'datepicker',
                            date_format: 'yyyy-mm-dd',
                            date_show_week_days: false,
                            date_language: t('procedures.index.language')
                          }) %>
      <%= t 'procedures.index.to' %>
      <%= form.text_field(:leave_date_lteq,
                          class: 'datepicker',
                          value: params[:q].nil? ? '2019-12-31' : params[:q][:leave_date_lteq],
                          data: {
                            provide: 'datepicker',
                            date_format: 'yyyy-mm-dd',
                            date_show_week_days: false,
                            date_language: t('procedures.index.language')
                          }) %>
    </div>
  </div>
</div>
